/*
 * byte2hex.c - converts a binary file into an ascii text file of hex bytes
 *
 * @version 2005.10.17
 * @author Andrew M
 */
 
#include <stdio.h>
#include <fcntl.h>


void usage()
{
    printf("usage: byte2hex <infile >outfile\n");
    return;
}

void do_file(FILE *in, FILE *out)
{
	int count = 0;
    while (!feof(in))
    {
        char ch;
        fread(&ch, 1, 1, in);
        fprintf(out, "%02x ", (int)(ch & 0x00FF));
        if (++count % 16 == 0)
        {
            fputs("\n", out);
        }
    }
}

int main(int argc, char *argv[])
{
	setmode(fileno(stdout), O_BINARY);
	setmode(fileno(stdin), O_BINARY);
	do_file(stdin, stdout);
	return 0;
}
